﻿/*
	The dict.org dictionaries and search methods
	in JS arrays
	15.04.2006, filipp@mac.com
*/

var database = new Array ();
var strategy = new Array ();

database = 
[
	{"short" : "*", "long" : "Any"},
	{"short" : "!", "long" : "First match"},
    {"short" : "gcide", "long" : "The Collaborative International Dictionary of English v.0.48"},
    {"short" : "wn", "long" : "WordNet (r) 2.0"},
    {"short" : "moby-thes", "long"	: "Moby Thesaurus II by Grady Ward, 1.0"},
    {"short" : "elements", "long"	: "Elements database 20001107"},
    {"short" : "vera", "long" : "Virtual Entity of Relevant Acronyms (Version 1.9, June 2002)"},
    {"short" : "jargon", "long" : "Jargon File (4.3.1, 29 Jun 2001)"},
    {"short" : "foldoc", "long" : "The Free On-line Dictionary of Computing (27 SEP 03)"},
    {"short" : "easton", "long" : "Easton's 1897 Bible Dictionary"},
    {"short" : "hitchcock", "long" : "Hitchcock's Bible Names Dictionary (late 1800's)"},
    {"short" : "bouvier", "long" : "Bouvier's Law Dictionary, Revised 6th Ed (1856)"},
    {"short" : "devils", "long" : "THE DEVIL'S DICTIONARY ((C)1911 Released April 15 1993)"},
    {"short" : "world02", "long" : "CIA World Factbook 2002"},
    {"short" : "gazetteer", "long" : "U.S. Gazetteer (1990)"},
    {"short" : "gaz-county", "long" : "U.S. Gazetteer Counties (2000)"},
    {"short" : "gaz-place", "long" : "U.S. Gazetteer Places (2000)"},
    {"short" : "gaz-zip", "long" : "U.S. Gazetteer Zip Code Tabulation Areas (2000)"},
    {"short" : "--exit--", "long" : "Stop default search here."},
    {"short" : "afr-deu", "long" : "Africaan-German Freedict dictionary"},
    {"short" : "afr-eng", "long" : "Africaan-English Freedict Dictionary"},
    {"short" : "ara-eng", "long" : "English-Arabic Freedict Dictionary"},
    {"short" : "cro-eng", "long" : "Croatian-English Freedict Dictionary"},
    {"short" : "cze-eng", "long" : "Czech-English Freedict dictionary"},
    {"short" : "dan-eng", "long" : "Danish-English Freedict dictionary"},
    {"short" : "deu-eng", "long" : "German-English Freedict dictionary"},
    {"short" : "deu-fra", "long" : "German-French Freedict dictionary"},
    {"short" : "deu-ita", "long" : "German-Italian Freedict dictionary"},
    {"short" : "deu-nld", "long" : "German-Nederland Freedict dictionary"},
    {"short" : "deu-por", "long" : "German-Portugese Freedict dictionary"},
    {"short" : "eng-afr", "long" : "English-Africaan Freedict Dictionary"},
    {"short" : "eng-ara", "long" : "English-Arabic FreeDict Dictionary"},
    {"short" : "eng-cro", "long" : "English-Croatian Freedict Dictionary"},
    {"short" : "eng-cze", "long" : "English-Czech fdicts/FreeDict Dictionary"},
    {"short" : "eng-deu", "long" : "English-German Freedict dictionary"},
    {"short" : "eng-fra", "long" : "English-French Freedict Dictionary"},
    {"short" : "eng-hin", "long" : "English-Hindi Freedict Dictionary"},
    {"short" : "eng-hun", "long" : "English-Hungarian Freedict Dictionary"},
    {"short" : "eng-iri", "long" : "English-Irish Freedict dictionary"},
    {"short" : "eng-ita", "long" : "English-Italian Freedict dictionary"},
    {"short" : "eng-lat", "long" : "English-Latin Freedict dictionary"},
    {"short" : "eng-nld", "long" : "English-Netherlands Freedict dictionary"},
    {"short" : "eng-por", "long" : "English-Portugese Freedict dictionary"},
    {"short" : "eng-rom", "long" : "English-Romanian FreeDict dictionary"},
    {"short" : "eng-rus", "long" : "English-Russian Freedict dictionary"},
    {"short" : "eng-spa", "long" : "English-Spanish Freedict dictionary"},
    {"short" : "eng-swa", "long" : "English-Swahili xFried/FreeDict Dictionary"},
    {"short" : "eng-swe", "long" : "English-Swedish Freedict dictionary"},
    {"short" : "eng-tur", "long" : "English-Turkish FreeDict Dictionary"},
    {"short" : "eng-wel", "long" : "English-Welsh Freedict dictionary"},
    {"short" : "fra-deu", "long" : "French-German Freedict dictionary"},
    {"short" : "fra-eng", "long" : "French-English Freedict dictionary"},
    {"short" : "fra-nld", "long" : "French-Nederlands Freedict dictionary"},
    {"short" : "hin-eng", "long" : "English-Hindi Freedict Dictionary [reverse index]"},
    {"short" : "hun-eng", "long" : "Hungarian-English FreeDict Dictionary"},
    {"short" : "iri-eng", "long" : "Irish-English Freedict dictionary"},
    {"short" : "ita-deu", "long" : "Italian-German Freedict dictionary"},
    {"short" : "jpn-deu", "long" : "Japanese-German Freedict dictionary"},
    {"short" : "kha-deu", "long" : "Khasi-German FreeDict Dictionary"},
    {"short" : "lat-deu", "long" : "Latin-German Freedict dictionary"},
    {"short" : "lat-eng", "long" : "Latin-English Freedict dictionary"},
    {"short" : "nld-deu", "long" : "Nederlands-German Freedict dictionary"},
    {"short" : "nld-eng", "long" : "Nederlands-English Freedict dictionary"},
    {"short" : "nld-fra", "long" : "Nederlands-French Freedict dictionary"},
    {"short" : "por-deu", "long" : "Portugese-German Freedict dictionary"},
    {"short" : "por-eng", "long" : "Portugese-English Freedict dictionary"},
    {"short" : "sco-deu", "long" : "Scottish-German Freedict dictionary"},
    {"short" : "scr-eng", "long" : "Serbo-Croat-English Freedict dictionary"},
    {"short" : "slo-eng", "long" : "Slovenian-English Freedict dictionary"},
    {"short" : "spa-eng", "long" : "Spanish-English Freedict dictionary"},
    {"short" : "swa-eng", "long" : "Swahili-English xFried/FreeDict Dictionary"},
    {"short" : "swe-eng", "long" : "Swedish-English Freedict dictionary"},
    {"short" : "tur-deu", "long" : "Turkish-German Freedict dictionary"},
    {"short" : "tur-eng", "long" : "Turkish-English Freedict dictionary"},
    {"short" : "english", "long" : "English Monolingual Dictionaries"},
    {"short" : "trans", "long" : "Translating Dictionaries"},
    {"short" : "all", "long" : "All Dictionaries (English-Only and Translating)"},
    {"short" : "web1913", "long" : "Webster's Revised Unabridged Dictionary (1913)"},
    {"short" : "world95", "long" : "The CIA World Factbook (1995)"}
];

strategy = 
[
	{"short" : "*", "long" : "Return Definitions"},
    {"short" : "exact", "long" : "Match headwords exactly"},
    {"short" : "prefix", "long" : "Match prefixes"},
    {"short" : "substring", "long" : "Match substring occurring anywhere in a headword"},
    {"short" : "suffix", "long" : "Match suffixes"},
    {"short" : "re", "long" : "POSIX 1003.2 (modern) regular expressions"},
    {"short" : "regexp", "long" : "Old (basic) regular expressions"},
    {"short" : "soundex", "long" : "Match using SOUNDEX algorithm"},
    {"short" : "lev", "long" : "Match headwords within Levenshtein distance one"},
    {"short" : "word", "long" : "Match separate words within headwords"}
];